package com.malani.examples.jms.transactions;

import javax.naming.InitialContext;
import javax.jms.*;
import java.io.InputStreamReader;

public class AutoReceiver extends Receiver {
    public static void main(String[] args) {
        System.out.println("Starting...");

        new AutoReceiver().doAll();

        System.out.println("Ending...");
    }

    protected QueueSession createQueueSession(
        QueueConnection aQC
        ) throws JMSException {
        return aQC.createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
    }
}
